/**
 * Copyright (c) 2023 Raspberry Pi (Trading) Ltd.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#ifndef SERVER_COMMON_H_
#define SERVER_COMMON_H_

extern int le_notification_enabled;
extern hci_con_handle_t con_handle;
extern uint8_t const profile_data[];

static void nordic_can_send(void * context);
static void heartbeat_handler(struct btstack_timer_source *ts);
void packet_handler(uint8_t packet_type, uint16_t channel, uint8_t *packet, uint16_t size);
static void nordic_spp_packet_handler(uint8_t packet_type, uint16_t channel, uint8_t *packet, uint16_t size);
#endif
